aboutsummaryrefslogtreecommitdiff
path: root/twitch-stream.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2020-04-02 23:43:56 +0200
committerdec05eba <dec05eba@protonmail.com>2020-06-21 14:41:11 +0200
commit32b66c95fff42295bb8d3a569923a82a5de973c9 (patch)
treeeb7fc741f9f80308cab376bd5260e7d1d5d63590 /twitch-stream.sh
parent2fcd3ee3e5dbf65841d5e457aa1a558fee471433 (diff)
Add pulseaudio, parse command line args
Diffstat (limited to 'twitch-stream.sh')
-rwxr-xr-xtwitch-stream.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/twitch-stream.sh b/twitch-stream.sh
index d4da530..cb051d0 100755
--- a/twitch-stream.sh
+++ b/twitch-stream.sh
@@ -1,4 +1,5 @@
#!/bin/sh
-[ "$#" -ne 3 ] && echo "usage: twitch-stream.sh <window_id> <fps> <livestream_key>" && exit 1
-sibs build --release && ./sibs-build/linux_x86_64/release/gpu-screen-recorder "$1" h264 "$2" | ffmpeg -i pipe:0 -c:v copy -f flv "rtmp://live.twitch.tv/app/$3"
+[ "$#" -ne 4 ] && echo "usage: twitch-stream.sh <window_id> <fps> <audio_input> <livestream_key>" && exit 1
+#ismv
+sibs build --release && ./sibs-build/linux_x86_64/release/gpu-screen-recorder -w "$1" -c flv -f "$2" -a "$3" | ffmpeg -i pipe:0 -c:v copy -f flv "rtmp://live.twitch.tv/app/$4"